Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor
Class TransliterationTypeSequence

    java.lang.Object
      org.kemet.orm.castor.TransliterationTypeSequence

All Implemented Interfaces:
  java.io.Serializable

    public class TransliterationTypeSequence

extends java.lang.Object
implements java.io.Serializable

Class TransliterationTypeSequence.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`TransliterationTypeSequence()`

Method Summary
`void` | `addPronunciation(int index, Pronunciation vPronunciation)`
`void` | `addPronunciation(Pronunciation vPronunciation)`
`java.util.Enumeration` | `enumeratePronunciation()` Method enumeratePronunciation.
`Pronunciation[]` | `getPronunciation()` Method getPronunciation.Returns the contents of the collection in an Array.
`Pronunciation` | `getPronunciation(int index)` Method getPronunciation.
`int` | `getPronunciationCount()` Method getPronunciationCount.
`boolean` | `isValid()` Method isValid.
`java.util.Iterator` | `iteratePronunciation()` Method iteratePronunciation.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllPronunciation()`
`boolean` | `removePronunciation(Pronunciation vPronunciation)` Method removePronunciation.
`Pronunciation` | `removePronunciationAt(int index)` Method removePronunciationAt.
`void` | `setPronunciation(int index, Pronunciation vPronunciation)`
`void` | `setPronunciation(Pronunciation[] vPronunciationArray)`
`static TransliterationTypeSequence` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransliterationTypeSequence

    public TransliterationTypeSequence()

Method Detail

### addPronunciation

    public void addPronunciation(Pronunciation vPronunciation)
                          throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vPronunciation` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addPronunciation

    public void addPronunciation(int index,
                                 Pronunciation vPronunciation)
                          throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vPronunciation` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumeratePronunciation

    public java.util.Enumeration enumeratePronunciation()

  Method enumeratePronunciation.

  Returns:
    an Enumeration over all possible elements of this collection

### getPronunciation

    public Pronunciation getPronunciation(int index)
                                   throws java.lang.IndexOutOfBoundsException

  Method getPronunciation.

  Parameters:
    `index` -
  Returns:
    the value of the org.kemet.orm.castor.Pronunciation at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getPronunciation

    public Pronunciation[] getPronunciation()

  Method getPronunciation.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getPronunciationCount

    public int getPronunciationCount()

  Method getPronunciationCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### iteratePronunciation

    public java.util.Iterator iteratePronunciation()

  Method iteratePronunciation.

  Returns:
    an Iterator over all possible elements in this collection

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllPronunciation

    public void removeAllPronunciation()

### removePronunciation

    public boolean removePronunciation(Pronunciation vPronunciation)

  Method removePronunciation.

  Parameters:
    `vPronunciation` -
  Returns:
    true if the object was removed from the collection.

### removePronunciationAt

    public Pronunciation removePronunciationAt(int index)

  Method removePronunciationAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setPronunciation

    public void setPronunciation(int index,
                                 Pronunciation vPronunciation)
                          throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vPronunciation` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setPronunciation

    public void setPronunciation(Pronunciation[] vPronunciationArray)

  Parameters:
    `vPronunciationArray` -

### unmarshal

    public static TransliterationTypeSequence unmarshal(java.io.Reader reader)
                                                 throws org.exolab.castor.xml.MarshalException,
                                                        org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled org.kemet.orm.castor.TransliterationTypeSequence
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.